Package csb :: Package bio :: Package structure :: Class CompositeEntityIterator

[frames] | no frames]

# Class CompositeEntityIterator

source code

    object --+
             |
            CompositeEntityIterator

Known Subclasses:
  - ConfinedEntityIterator

Iterates over composite AbstractEntity hierarchies.

Instance Methods

__init__(self, node) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

__next__(self) | source code

next(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

CompositeEntityIterator

create(node, leaf=None) Create a new composite iterator. | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, node)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `node` (AbstractEntity) - root entity to traverse
Overrides: object.__init__
  (inherited documentation)

### create(node, leaf=None)
Static Method

source code

Create a new composite iterator.

Parameters:
  - `leaf` (class) - if not None, return a ConfinedEntityIterator
Returns: CompositeEntityIterator